summaryrefslogtreecommitdiffstats
path: root/meta-agl/meta-agl-basesystem/recipes-core/agl-systemd
diff options
context:
space:
mode:
Diffstat (limited to 'meta-agl/meta-agl-basesystem/recipes-core/agl-systemd')
-rw-r--r--meta-agl/meta-agl-basesystem/recipes-core/agl-systemd/agl-systemd_1.0.0.bb84
-rw-r--r--meta-agl/meta-agl-basesystem/recipes-core/agl-systemd/files/99-agl.rules11
-rw-r--r--meta-agl/meta-agl-basesystem/recipes-core/agl-systemd/files/LICENSE177
-rw-r--r--meta-agl/meta-agl-basesystem/recipes-core/agl-systemd/files/agl-trigger.service18
-rw-r--r--meta-agl/meta-agl-basesystem/recipes-core/agl-systemd/files/env.txt130
-rw-r--r--meta-agl/meta-agl-basesystem/recipes-core/agl-systemd/files/launch_sm.service22
-rw-r--r--meta-agl/meta-agl-basesystem/recipes-core/agl-systemd/files/options.conf2
-rw-r--r--meta-agl/meta-agl-basesystem/recipes-core/agl-systemd/files/setup_refhw.service15
-rw-r--r--meta-agl/meta-agl-basesystem/recipes-core/agl-systemd/files/systemd-udev-trigger.service22
-rw-r--r--meta-agl/meta-agl-basesystem/recipes-core/agl-systemd/files/tool_9E_SI/agl_set_capability.sh82
-rw-r--r--meta-agl/meta-agl-basesystem/recipes-core/agl-systemd/files/tool_9E_SI/launch_sm.sh26
-rw-r--r--meta-agl/meta-agl-basesystem/recipes-core/agl-systemd/files/tool_9E_SI/set_capability.sh82
-rw-r--r--meta-agl/meta-agl-basesystem/recipes-core/agl-systemd/files/tool_9E_SI/set_cgroup_rt_runtime_us.sh33
-rw-r--r--meta-agl/meta-agl-basesystem/recipes-core/agl-systemd/files/tool_9E_SI/setup_refhw.sh83
-rw-r--r--meta-agl/meta-agl-basesystem/recipes-core/agl-systemd/files/usr/agl/conf/systemmanager/sm_launch.cfg10
-rw-r--r--meta-agl/meta-agl-basesystem/recipes-core/agl-systemd/files/usr/agl/conf/systemmanager/sm_launch__CWORD84_.xml116
-rw-r--r--meta-agl/meta-agl-basesystem/recipes-core/agl-systemd/files/usr/target/agl_cap.lst34
-rw-r--r--meta-agl/meta-agl-basesystem/recipes-core/agl-systemd/files/usr/target/cap.lst24
18 files changed, 971 insertions, 0 deletions
diff --git a/meta-agl/meta-agl-basesystem/recipes-core/agl-systemd/agl-systemd_1.0.0.bb b/meta-agl/meta-agl-basesystem/recipes-core/agl-systemd/agl-systemd_1.0.0.bb
new file mode 100644
index 00000000..c10c348c
--- /dev/null
+++ b/meta-agl/meta-agl-basesystem/recipes-core/agl-systemd/agl-systemd_1.0.0.bb
@@ -0,0 +1,84 @@
+SUMMARY = "Systemd related file for launching sample application"
+LICENSE = "Apache-2.0"
+LIC_FILES_CHKSUM = "file://LICENSE;md5=2ee41112a44fe7014dce33e26468ba93"
+
+inherit systemd
+S = "${WORKDIR}"
+ALLOW_EMPTY_${PN} = "1"
+BB_VERBOSE_LOGS = "1"
+
+SRC_URI += " \
+ file://LICENSE \
+ file://env.txt \
+ file://setup_refhw.service \
+ file://launch_sm.service \
+ file://systemd-udev-trigger.service \
+ file://99-agl.rules \
+ file://agl-trigger.service \
+ file://options.conf \
+ file://tool_9E_SI \
+ file://usr \
+"
+FILES_${PN} += "\
+ /tool_9E_SI/* \
+ /usr/target/* \
+ /usr/agl/* \
+ /nv/* \
+ /ramd/bkup \
+ /etc/systemd/system/tmp.mount.d \
+"
+SYSTEMD_SERVICE_${PN} = " \
+ setup_refhw.service \
+ launch_sm.service \
+ agl-trigger.service \
+"
+DEPENDS += " \
+ libxml2-native \
+ agl-basefiles-native \
+"
+RDEPENDS_${PN} += " \
+ procps \
+ agl-basefiles \
+ bash \
+"
+do_compile[depends] += "agl-basefiles:do_populate_sysroot"
+do_compile() {
+ cd ${WORKDIR}/usr/agl/conf/systemmanager
+ cpp -P -include ${STAGING_DIR_HOST}/usr/agl/include/sm_launch_conf.h ./sm_launch__CWORD84_.xml ./sm_launch.tmp.xml
+ ${STAGING_DIR_HOST}/usr/agl/share/launch_xml2cfg.sh ./sm_launch.tmp.xml > ./sm_launch.cfg
+}
+do_install() {
+ install -d ${D}${systemd_unitdir}/system
+ install -m 644 ${WORKDIR}/setup_refhw.service ${D}/${systemd_unitdir}/system
+ install -m 644 ${WORKDIR}/agl-trigger.service ${D}/${systemd_unitdir}/system
+ install -m 644 ${WORKDIR}/launch_sm.service ${D}/${systemd_unitdir}/system
+ install -d ${D}/etc/systemd/system
+ install -m 644 ${WORKDIR}/systemd-udev-trigger.service ${D}/etc/systemd/system
+ install -d ${D}/tool_9E_SI
+ install -m 644 ${WORKDIR}/*.txt ${D}/tool_9E_SI
+ install -m 755 ${WORKDIR}/tool_9E_SI/*.sh ${D}/tool_9E_SI
+ install -d ${D}/usr/target
+ install -m 644 ${WORKDIR}/usr/target/*.lst ${D}/usr/target
+ install -d ${D}/etc/systemd/system
+ install -d -m 775 ${D}/usr/agl/conf/systemmanager
+ install -m 644 ${WORKDIR}/usr/agl/conf/systemmanager/sm_launch.cfg ${D}/usr/agl/conf/systemmanager
+ install -d ${D}/lib/udev/rules.d
+ install -m 644 ${WORKDIR}/99-agl.rules ${D}/lib/udev/rules.d
+ install -d -m 777 ${D}/nv/export
+ install -d -m 777 ${D}/nv/backup
+ install -d -m 777 ${D}/nv/log/frameworkunifiedlog
+ install -d -m 777 ${D}/ramd/bkup
+ install -d ${D}/etc/systemd/system/tmp.mount.d
+ install -m 644 ${WORKDIR}/options.conf ${D}/etc/systemd/system/tmp.mount.d
+}
+
+sysroot_stage_all_append(){
+ sysroot_stage_dir ${D}/tool_9E_SI ${SYSROOT_DESTDIR}/tool_9E_SI
+ sysroot_stage_dir ${D}/usr/target ${SYSROOT_DESTDIR}/usr/target
+ sysroot_stage_dir ${D}/usr/agl ${SYSROOT_DESTDIR}/usr/agl
+ sysroot_stage_dir ${D}/usr/agl/conf/systemmanager ${SYSROOT_DESTDIR}/usr/agl/conf/systemmanager
+ sysroot_stage_dir ${D}/usr/agl/conf/backup_manager ${SYSROOT_DESTDIR}/usr/agl/conf/backup_manager
+ sysroot_stage_dir ${D}/nv/npp ${SYSROOT_DESTDIR}/nv/npp
+ sysroot_stage_dir ${D}/usr/agl/share ${SYSROOT_DESTDIR}/usr/agl/share
+ sysroot_stage_dir ${D}/etc/systemd/system/tmp.mount.d ${SYSROOT_DESTDIR}/etc/systemd/system/tmp.mount.d
+}
diff --git a/meta-agl/meta-agl-basesystem/recipes-core/agl-systemd/files/99-agl.rules b/meta-agl/meta-agl-basesystem/recipes-core/agl-systemd/files/99-agl.rules
new file mode 100644
index 00000000..dd4e2456
--- /dev/null
+++ b/meta-agl/meta-agl-basesystem/recipes-core/agl-systemd/files/99-agl.rules
@@ -0,0 +1,11 @@
+#modify sound related device permissions
+
+SUBSYSTEM=="sound",MODE="0666"
+
+#modify dri related device permissions
+
+SUBSYSTEM=="drm",MODE="0777"
+
+#modify agl/evk related device permissions
+
+SUBSYSTEM=="evk",KERNEL=="agl/evk",MODE="0666"
diff --git a/meta-agl/meta-agl-basesystem/recipes-core/agl-systemd/files/LICENSE b/meta-agl/meta-agl-basesystem/recipes-core/agl-systemd/files/LICENSE
new file mode 100644
index 00000000..f433b1a5
--- /dev/null
+++ b/meta-agl/meta-agl-basesystem/recipes-core/agl-systemd/files/LICENSE
@@ -0,0 +1,177 @@
+
+ Apache License
+ Version 2.0, January 2004
+ http://www.apache.org/licenses/
+
+ TERMS AND CONDITIONS FOR USE, REPRODUCTION, AND DISTRIBUTION
+
+ 1. Definitions.
+
+ "License" shall mean the terms and conditions for use, reproduction,
+ and distribution as defined by Sections 1 through 9 of this document.
+
+ "Licensor" shall mean the copyright owner or entity authorized by
+ the copyright owner that is granting the License.
+
+ "Legal Entity" shall mean the union of the acting entity and all
+ other entities that control, are controlled by, or are under common
+ control with that entity. For the purposes of this definition,
+ "control" means (i) the power, direct or indirect, to cause the
+ direction or management of such entity, whether by contract or
+ otherwise, or (ii) ownership of fifty percent (50%) or more of the
+ outstanding shares, or (iii) beneficial ownership of such entity.
+
+ "You" (or "Your") shall mean an individual or Legal Entity
+ exercising permissions granted by this License.
+
+ "Source" form shall mean the preferred form for making modifications,
+ including but not limited to software source code, documentation
+ source, and configuration files.
+
+ "Object" form shall mean any form resulting from mechanical
+ transformation or translation of a Source form, including but
+ not limited to compiled object code, generated documentation,
+ and conversions to other media types.
+
+ "Work" shall mean the work of authorship, whether in Source or
+ Object form, made available under the License, as indicated by a
+ copyright notice that is included in or attached to the work
+ (an example is provided in the Appendix below).
+
+ "Derivative Works" shall mean any work, whether in Source or Object
+ form, that is based on (or derived from) the Work and for which the
+ editorial revisions, annotations, elaborations, or other modifications
+ represent, as a whole, an original work of authorship. For the purposes
+ of this License, Derivative Works shall not include works that remain
+ separable from, or merely link (or bind by name) to the interfaces of,
+ the Work and Derivative Works thereof.
+
+ "Contribution" shall mean any work of authorship, including
+ the original version of the Work and any modifications or additions
+ to that Work or Derivative Works thereof, that is intentionally
+ submitted to Licensor for inclusion in the Work by the copyright owner
+ or by an individual or Legal Entity authorized to submit on behalf of
+ the copyright owner. For the purposes of this definition, "submitted"
+ means any form of electronic, verbal, or written communication sent
+ to the Licensor or its representatives, including but not limited to
+ communication on electronic mailing lists, source code control systems,
+ and issue tracking systems that are managed by, or on behalf of, the
+ Licensor for the purpose of discussing and improving the Work, but
+ excluding communication that is conspicuously marked or otherwise
+ designated in writing by the copyright owner as "Not a Contribution."
+
+ "Contributor" shall mean Licensor and any individual or Legal Entity
+ on behalf of whom a Contribution has been received by Licensor and
+ subsequently incorporated within the Work.
+
+ 2. Grant of Copyright License. Subject to the terms and conditions of
+ this License, each Contributor hereby grants to You a perpetual,
+ worldwide, non-exclusive, no-charge, royalty-free, irrevocable
+ copyright license to reproduce, prepare Derivative Works of,
+ publicly display, publicly perform, sublicense, and distribute the
+ Work and such Derivative Works in Source or Object form.
+
+ 3. Grant of Patent License. Subject to the terms and conditions of
+ this License, each Contributor hereby grants to You a perpetual,
+ worldwide, non-exclusive, no-charge, royalty-free, irrevocable
+ (except as stated in this section) patent license to make, have made,
+ use, offer to sell, sell, import, and otherwise transfer the Work,
+ where such license applies only to those patent claims licensable
+ by such Contributor that are necessarily infringed by their
+ Contribution(s) alone or by combination of their Contribution(s)
+ with the Work to which such Contribution(s) was submitted. If You
+ institute patent litigation against any entity (including a
+ cross-claim or counterclaim in a lawsuit) alleging that the Work
+ or a Contribution incorporated within the Work constitutes direct
+ or contributory patent infringement, then any patent licenses
+ granted to You under this License for that Work shall terminate
+ as of the date such litigation is filed.
+
+ 4. Redistribution. You may reproduce and distribute copies of the
+ Work or Derivative Works thereof in any medium, with or without
+ modifications, and in Source or Object form, provided that You
+ meet the following conditions:
+
+ (a) You must give any other recipients of the Work or
+ Derivative Works a copy of this License; and
+
+ (b) You must cause any modified files to carry prominent notices
+ stating that You changed the files; and
+
+ (c) You must retain, in the Source form of any Derivative Works
+ that You distribute, all copyright, patent, trademark, and
+ attribution notices from the Source form of the Work,
+ excluding those notices that do not pertain to any part of
+ the Derivative Works; and
+
+ (d) If the Work includes a "NOTICE" text file as part of its
+ distribution, then any Derivative Works that You distribute must
+ include a readable copy of the attribution notices contained
+ within such NOTICE file, excluding those notices that do not
+ pertain to any part of the Derivative Works, in at least one
+ of the following places: within a NOTICE text file distributed
+ as part of the Derivative Works; within the Source form or
+ documentation, if provided along with the Derivative Works; or,
+ within a display generated by the Derivative Works, if and
+ wherever such third-party notices normally appear. The contents
+ of the NOTICE file are for informational purposes only and
+ do not modify the License. You may add Your own attribution
+ notices within Derivative Works that You distribute, alongside
+ or as an addendum to the NOTICE text from the Work, provided
+ that such additional attribution notices cannot be construed
+ as modifying the License.
+
+ You may add Your own copyright statement to Your modifications and
+ may provide additional or different license terms and conditions
+ for use, reproduction, or distribution of Your modifications, or
+ for any such Derivative Works as a whole, provided Your use,
+ reproduction, and distribution of the Work otherwise complies with
+ the conditions stated in this License.
+
+ 5. Submission of Contributions. Unless You explicitly state otherwise,
+ any Contribution intentionally submitted for inclusion in the Work
+ by You to the Licensor shall be under the terms and conditions of
+ this License, without any additional terms or conditions.
+ Notwithstanding the above, nothing herein shall supersede or modify
+ the terms of any separate license agreement you may have executed
+ with Licensor regarding such Contributions.
+
+ 6. Trademarks. This License does not grant permission to use the trade
+ names, trademarks, service marks, or product names of the Licensor,
+ except as required for reasonable and customary use in describing the
+ origin of the Work and reproducing the content of the NOTICE file.
+
+ 7. Disclaimer of Warranty. Unless required by applicable law or
+ agreed to in writing, Licensor provides the Work (and each
+ Contributor provides its Contributions) on an "AS IS" BASIS,
+ WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or
+ implied, including, without limitation, any warranties or conditions
+ of TITLE, NON-INFRINGEMENT, MERCHANTABILITY, or FITNESS FOR A
+ PARTICULAR PURPOSE. You are solely responsible for determining the
+ appropriateness of using or redistributing the Work and assume any
+ risks associated with Your exercise of permissions under this License.
+
+ 8. Limitation of Liability. In no event and under no legal theory,
+ whether in tort (including negligence), contract, or otherwise,
+ unless required by applicable law (such as deliberate and grossly
+ negligent acts) or agreed to in writing, shall any Contributor be
+ liable to You for damages, including any direct, indirect, special,
+ incidental, or consequential damages of any character arising as a
+ result of this License or out of the use or inability to use the
+ Work (including but not limited to damages for loss of goodwill,
+ work stoppage, computer failure or malfunction, or any and all
+ other commercial damages or losses), even if such Contributor
+ has been advised of the possibility of such damages.
+
+ 9. Accepting Warranty or Additional Liability. While redistributing
+ the Work or Derivative Works thereof, You may choose to offer,
+ and charge a fee for, acceptance of support, warranty, indemnity,
+ or other liability obligations and/or rights consistent with this
+ License. However, in accepting such obligations, You may act only
+ on Your own behalf and on Your sole responsibility, not on behalf
+ of any other Contributor, and only if You agree to indemnify,
+ defend, and hold each Contributor harmless for any liability
+ incurred by, or claims asserted against, such Contributor by reason
+ of your accepting any such warranty or additional liability.
+
+ END OF TERMS AND CONDITIONS
diff --git a/meta-agl/meta-agl-basesystem/recipes-core/agl-systemd/files/agl-trigger.service b/meta-agl/meta-agl-basesystem/recipes-core/agl-systemd/files/agl-trigger.service
new file mode 100644
index 00000000..8cb752f0
--- /dev/null
+++ b/meta-agl/meta-agl-basesystem/recipes-core/agl-systemd/files/agl-trigger.service
@@ -0,0 +1,18 @@
+# This file is part of systemd.
+#
+# systemd is free software; you can redistribute it and/or modify it
+# under the terms of the GNU Lesser General Public License as published by
+# the Free Software Foundation; either version 2.1 of the License, or
+# (at your option) any later version.
+
+[Unit]
+#After=weston.service
+
+[Service]
+Type=oneshot
+#RemainAfterExit=yes
+EnvironmentFile=/tool_9E_SI/env.txt
+ExecStart=/tool_9E_SI/agl_set_capability.sh
+
+[Install]
+WantedBy=multi-user.target
diff --git a/meta-agl/meta-agl-basesystem/recipes-core/agl-systemd/files/env.txt b/meta-agl/meta-agl-basesystem/recipes-core/agl-systemd/files/env.txt
new file mode 100644
index 00000000..48b83df4
--- /dev/null
+++ b/meta-agl/meta-agl-basesystem/recipes-core/agl-systemd/files/env.txt
@@ -0,0 +1,130 @@
+VEHICLEPARAMETERLIBRARY_AREA="AREA1"
+XDG_RUNTIME_DIR="/run/user/0"
+AGL_NFS="y"
+VEHICLEPARAMETERLIBRARY_BRAND="BRAND1"
+LIBTHAI_DICTDIR="/usr/share/libthai"
+TERM="xterm"
+INIT_UID="1000"
+INIT_GID="1000"
+AGL_RWDATA_PATH="/nv"
+LD_LIBRARY_PATH="/lib:/usr/lib:/usr/agl/lib:/usr/debug/lib"
+ARB_OPT="FORCE_REBOOT"
+PATH="/bin:/sbin:/usr/bin:/usr/sbin:/usr/agl/bin:/usr/debug/bin:/usr/debug/sbin:/usr/debug/usr/bin:/usr/debug/usr/sbin"
+PWD="/dev/mqueue"
+OLDPWD="/dev/mqueue"
+SHLVL="1"
+ALSA_CONFIG_PATH="/usr/share/alsa/alsa.conf"
+GPF_LOGFLAG="0x00000003"
+GPF_LOGLEVEL_DEBUG="0x00000000"
+_CWORD84__IPADDR="192.168.128.129"
+AGL_ON_SHELL="y"
+AGL_DEVDIAG_FLAG="ON"
+_="/usr/bin/printenv"
+UDEV_CONFIG_FILE="/etc/udev/udev.conf"
+VP_VEHICLEPARAMETERLIBRARY_version="AAAAAAAAA0001"
+VP_VEHICLEPARAMETERLIBRARY_maker_ID="00000-00000"
+VP_VEHICLEPARAMETERLIBRARY_area="AREA1"
+VP_VEHICLEPARAMETERLIBRARY_grade="GRADE1"
+VP_VEHICLEPARAMETERLIBRARY_model_ID="XXXXXXXX-XXXX"
+VP_VEHICLEPARAMETERLIBRARY_dest_c_code=""
+VP_VEHICLEPARAMETERLIBRARY_DAB_tuner_num="0"
+VP_VEHICLEPARAMETERLIBRARY_AMP_type="built_in_AMP"
+VP_VEHICLEPARAMETERLIBRARY_DISPLAY="InternalDisplay"
+VP_VEHICLEPARAMETERLIBRARY_DECK="CD_DECK"
+VP_VEHICLEPARAMETERLIBRARY_default_mode="home"
+VP_VEHICLEPARAMETERLIBRARY_VOICE_RECOGNITION_TUTORIAL="available"
+VP_VEHICLEPARAMETERLIBRARY_SEARCH="unavailable"
+VP_VEHICLEPARAMETERLIBRARY_CONTACT="unavailable"
+VP_VEHICLEPARAMETERLIBRARY_JPTrafficInfo_show="unavailable"
+VP_VEHICLEPARAMETERLIBRARY_INFOMATION_MANAGEMENT="available"
+VP_VEHICLEPARAMETERLIBRARY_WIFI_STA_ENABLE="False"
+VP_VEHICLEPARAMETERLIBRARY_WIFI_AP_ENABLE="True"
+VP_VEHICLEPARAMETERLIBRARY_WIFI_DIRECT_ENABLE="False"
+VP_VEHICLEPARAMETERLIBRARY_HAS_GPS="y"
+VP_VEHICLEPARAMETERLIBRARY__CWORD6_="n"
+VP_VEHICLEPARAMETERLIBRARY_PHASE="3"
+VP_VEHICLEPARAMETERLIBRARY__CWORD6_="unavailable"
+VP_VEHICLEPARAMETERLIBRARY_CONNECTION_SERVER="TRY"
+VP__CWORD31__version="XXXXXXXXX0001"
+VP__CWORD31__class_type_of_LAN="CAN_08_10PF"
+VP__CWORD31__reverse="direct"
+VP__CWORD31__PKB="direct"
+VP__CWORD31__ADIM__CWORD62_="direct_ADIM"
+VP__CWORD31__telematics_function="CAN_judge"
+VP__CWORD31__opening_picture="_CWORD31_"
+VP__CWORD31__theme_color="pure_white"
+VP__CWORD31__AC_onscreen="available"
+VP__CWORD31__AC_screen_operation="available"
+VP__CWORD31__AC_screen_home="available"
+VP__CWORD31__AC_switch_front_temp="available"
+VP__CWORD31__AC_temp_disp_outside="available"
+VP__CWORD31__AC_temp_disp_setting="available"
+VP__CWORD31__AC_switch_concierge="available"
+VP__CWORD31__AC_switch_S_flow="available"
+VP__CWORD31___CWORD11_="available"
+VP__CWORD31___CWORD11__home="available"
+VP__CWORD31___CWORD11__drive_wheel="FF"
+VP__CWORD31___CWORD11__drive_type="2WD"
+VP__CWORD31___CWORD11__battery_position="rear_tire"
+VP__CWORD31___CWORD11__battery_direction="lateral"
+VP__CWORD31___CWORD11__motor_position="Ahead"
+VP__CWORD31___CWORD9__trip="available"
+VP__CWORD31___CWORD9__trip="available"
+VP__CWORD31___CWORD9__home_trip="available"
+VP__CWORD31___CWORD9__fuel="available"
+VP__CWORD31___CWORD9__home_fuel="available"
+VP__CWORD31__FC_eco_safety_point_service="unavailable"
+VP__CWORD31__FC_scale_GAS="5"
+VP__CWORD31__FC_scale_HV="5"
+VP__CWORD31__FC_energy_mark="30wh"
+VP__CWORD31___CWORD9__type="type1"
+VP__CWORD31__FC_SIGNAL="unavailable"
+VP__CWORD31__display_setting_screen="unavailable"
+VP__CWORD31__VR_HVAC_control="unavailable"
+VP__CWORD31__clock_type="unavailable"
+VP__CWORD31__start_up_BGM="unavailable"
+VP__CWORD31__start_up_BGM_type="OFF"
+VP__CWORD31__DTV_antenna_FL="unavailable"
+VP__CWORD31__DTV_antenna_FR="unavailable"
+VP__CWORD31__DTV_antenna_RL="unavailable"
+VP__CWORD31__DTV_antenna_RR="unavailable"
+VP__CWORD31__DTV_ANTENNA="unavailable"
+VP__CWORD31__HF_voice_quality_type="0000"
+VP__CWORD31__tune_knob_push="available"
+VP__CWORD31__screen_switch_seek="unavailable"
+VP__CWORD31__DAB_antenna="unavailable"
+VP__CWORD31__hard_switch_beep="no_beep"
+VP__CWORD31__screen_switch_beep="beep"
+VP__CWORD31__steering_switch_type="2line_crosswise"
+VP__CWORD31__steering_switch_tel="1buttom"
+VP__CWORD31__class_circuit_mode="unavailable"
+VP__CWORD31___CWORD67__warning="unavailable"
+VP__CWORD31___CWORD67__accelerator="unavailable"
+VP__CWORD31__panel_microcomputer="available"
+VP__CWORD31__class_watch_at_brake_hold="unavailable"
+VP__CWORD31__GPS_antenna="available"
+VP__CWORD31__vehicle_signal_ILL="available"
+VP__CWORD31__switch_trigger="unavailable"
+VP__CWORD31__sensitivity_level="unavailable"
+VP__CWORD31__invalidity_term="500"
+VP__CWORD31__thumbnail_type="unavailable"
+VP__CWORD31__BT_device_name="CAR MULTIMEDIA"
+VP__CWORD31__eco_drive_max_volume="no_restriction"
+VP__CWORD31__EOM_function="unavailable"
+VP__CWORD31__Microphone_Type="_CWORD71__array"
+VP__CWORD31__Microphone_Location="ohc"
+VP__CWORD31__Wide_band_FM="unavailable"
+VP__CWORD31__display_type="one_screen_8"
+VP__CWORD31__clock_display="not_need"
+VP__CWORD31__destination="[]"
+VP__CWORD31__class_operation="touch"
+VP__CWORD31__opening_interval="1"
+VP__CWORD31__DES_function="unavailable"
+VP__CWORD31__beep_sound_keys=""
+VP_VEHICLEPARAMETERLIBRARY_SER_serial="00000000000"
+VP_VEHICLEPARAMETERLIBRARY_SER_HELPNET_ID="000000000000000000000"
+VP_VEHICLEPARAMETERLIBRARY_SER_map_update_ID="0000000000000000"
+VP_VEHICLEPARAMETERLIBRARY_SER_ship_date="00000000"
+VP_VEHICLEPARAMETERLIBRARY_SER_FACTORY_ID="0000000000000000000"
+BT_ADDR=""
+BT_DIAL=""
diff --git a/meta-agl/meta-agl-basesystem/recipes-core/agl-systemd/files/launch_sm.service b/meta-agl/meta-agl-basesystem/recipes-core/agl-systemd/files/launch_sm.service
new file mode 100644
index 00000000..8edc914e
--- /dev/null
+++ b/meta-agl/meta-agl-basesystem/recipes-core/agl-systemd/files/launch_sm.service
@@ -0,0 +1,22 @@
+[Unit]
+Description=launch_sm
+After=setup_refhw.service agl-trigger.service
+
+[Service]
+PermissionsStartOnly=yes
+EnvironmentFile=/tool_9E_SI/env.txt
+ExecStartPre=/tool_9E_SI/set_cgroup_rt_runtime_us.sh 950000
+ExecStart=/tool_9E_SI/launch_sm.sh
+Type=oneshot
+User=root
+StandardOutput=inherit
+StandardError=inherit
+RemainAfterExit=yes
+LimitAS=infinity
+LimitRSS=infinity
+LimitCORE=infinity
+LimitNOFILE=65536
+LimitMSGQUEUE=infinity
+
+[Install]
+WantedBy=multi-user.target
diff --git a/meta-agl/meta-agl-basesystem/recipes-core/agl-systemd/files/options.conf b/meta-agl/meta-agl-basesystem/recipes-core/agl-systemd/files/options.conf
new file mode 100644
index 00000000..05c48d97
--- /dev/null
+++ b/meta-agl/meta-agl-basesystem/recipes-core/agl-systemd/files/options.conf
@@ -0,0 +1,2 @@
+[Mount]
+Options=rw,nodev
diff --git a/meta-agl/meta-agl-basesystem/recipes-core/agl-systemd/files/setup_refhw.service b/meta-agl/meta-agl-basesystem/recipes-core/agl-systemd/files/setup_refhw.service
new file mode 100644
index 00000000..10875b28
--- /dev/null
+++ b/meta-agl/meta-agl-basesystem/recipes-core/agl-systemd/files/setup_refhw.service
@@ -0,0 +1,15 @@
+[Unit]
+Description=Initialize Reference Hardware Settings
+After=weston.service
+
+[Service]
+EnvironmentFile=/tool_9E_SI/env.txt
+ExecStart=/tool_9E_SI/setup_refhw.sh
+Type=oneshot
+#StandardInput=tty
+#TTYPath=/dev/tty1
+#TTYReset=yes
+#TTYVHangup=yes
+
+[Install]
+WantedBy=multi-user.target
diff --git a/meta-agl/meta-agl-basesystem/recipes-core/agl-systemd/files/systemd-udev-trigger.service b/meta-agl/meta-agl-basesystem/recipes-core/agl-systemd/files/systemd-udev-trigger.service
new file mode 100644
index 00000000..07a3f30e
--- /dev/null
+++ b/meta-agl/meta-agl-basesystem/recipes-core/agl-systemd/files/systemd-udev-trigger.service
@@ -0,0 +1,22 @@
+# This file is part of systemd.
+#
+# systemd is free software; you can redistribute it and/or modify it
+# under the terms of the GNU Lesser General Public License as published by
+# the Free Software Foundation; either version 2.1 of the License, or
+# (at your option) any later version.
+
+[Unit]
+Description=udev Coldplug all Devices
+Documentation=man:udev(7) man:systemd-udevd.service(8)
+DefaultDependencies=no
+Wants=systemd-udevd.service
+After=systemd-udevd-kernel.socket systemd-udevd-control.socket systemd-hwdb-update.service
+Before=sysinit.target
+ConditionPathIsReadWrite=/sys
+
+[Service]
+Type=oneshot
+RemainAfterExit=yes
+EnvironmentFile=/tool_9E_SI/env.txt
+ExecStartPre=/tool_9E_SI/set_capability.sh
+ExecStart=/bin/udevadm trigger --type=subsystems --action=add ; /bin/udevadm trigger --type=devices --action=add
diff --git a/meta-agl/meta-agl-basesystem/recipes-core/agl-systemd/files/tool_9E_SI/agl_set_capability.sh b/meta-agl/meta-agl-basesystem/recipes-core/agl-systemd/files/tool_9E_SI/agl_set_capability.sh
new file mode 100644
index 00000000..ac827d04
--- /dev/null
+++ b/meta-agl/meta-agl-basesystem/recipes-core/agl-systemd/files/tool_9E_SI/agl_set_capability.sh
@@ -0,0 +1,82 @@
+#!/bin/bash
+#
+# @copyright Copyright (c) 2019 TOYOTA MOTOR CORPORATION.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+
+ROMFILESTOP=/
+CAP_LST=${ROMFILESTOP}/usr/target/agl_cap.lst
+echo `cat ${CAP_LST}`
+#-----------------------------------------------------------------------
+# Capability
+
+df / --exclude-type=nfs > /dev/null
+IS_EMMC_BOOT=$?
+
+#*********************from init_nfs_cap.sh**************************
+
+echo "init_nfs-cap.sh: Start"
+
+VERBOSE=y
+SKIPWARN=n
+#-----------------------------------------------------------------------
+# Set Capability for NFS or Set DummyLink for ROM
+#CAP_LST="/usr/debug/share/target/cap.lst"
+CAP_LST="/usr/target/agl_cap.lst"
+
+if [ $IS_EMMC_BOOT -ne 0 ]; then
+if [ -f "${CAP_LST}" ];then
+ echo "*** set capability for NFS environment ***"
+ CAPPATH=/tmp/
+ cd /
+ for PREAD in `cat ${CAP_LST}`
+ do
+ IFS_ORG=${IFS} ; IFS='|' ; PARAM=(${PREAD}) ; IFS=${IFS_ORG}
+ CAP_NAME=${PARAM[0]} ; FMODE=${PARAM[1]} ; FUID_GID=${PARAM[2]}
+ FCAP=${PARAM[3]} ; FKEEPORGPATH=${PARAM[4]}
+ if [ ! -f "${CAP_NAME}" -a ! -f "${CAP_NAME}.org" ];then
+ if [ "${SKIPWARN}" = "n" ];then
+ echo "set capability: ${CAP_NAME}: No such file or directory" 1>&2
+ fi
+ continue
+ fi
+ TCAP_NAME="/tmp/${CAP_NAME##*/}"
+ # Set Capability for NFS
+ if [ ! -L "${CAP_NAME}" ]; then
+ cp -a ${CAP_NAME} ${TCAP_NAME}
+ if [ "${FKEEPORGPATH}" = "y" ];then
+ mv ${CAP_NAME} ${CAP_NAME}.org
+ ln -fs ${TCAP_NAME} ${CAP_NAME}
+ fi
+ else
+ cp -a ${CAP_NAME}.org ${TCAP_NAME}
+ fi
+ if [ -n "${FUID_GID}" ];then
+ chown ${FUID_GID} ${TCAP_NAME}
+ fi
+ if [ -n "${FMODE}" ];then
+ chmod ${FMODE} ${TCAP_NAME}
+ fi
+ if [ -n "${FCAP}" ];then
+ setcap ${FCAP} ${TCAP_NAME}
+ #if [ "${VERBOSE}" = "y" ];then
+ # getcap ${TCAP_NAME}
+ #fi
+ fi
+ done
+ cd - > /dev/null
+else
+ unset CAPPATH
+fi
+fi
diff --git a/meta-agl/meta-agl-basesystem/recipes-core/agl-systemd/files/tool_9E_SI/launch_sm.sh b/meta-agl/meta-agl-basesystem/recipes-core/agl-systemd/files/tool_9E_SI/launch_sm.sh
new file mode 100644
index 00000000..ed1e8d12
--- /dev/null
+++ b/meta-agl/meta-agl-basesystem/recipes-core/agl-systemd/files/tool_9E_SI/launch_sm.sh
@@ -0,0 +1,26 @@
+#!/bin/bash -x
+#
+# @copyright Copyright (c) 2019 TOYOTA MOTOR CORPORATION.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+
+# launch SS_SystemManager
+export APPS_CONFIG_FILENAME=sm_launch.cfg
+export SM_CONFIG_DATA_FILENAME=gpf_ss_sm_config_data.cfg
+export XDG_RUNTIME_DIR=/run/user/0
+cd /usr/agl/bin/
+rm -rf /nv/romaccess
+rm /dev/shm/lockfile
+
+/usr/agl/bin/SS_SystemManager &
diff --git a/meta-agl/meta-agl-basesystem/recipes-core/agl-systemd/files/tool_9E_SI/set_capability.sh b/meta-agl/meta-agl-basesystem/recipes-core/agl-systemd/files/tool_9E_SI/set_capability.sh
new file mode 100644
index 00000000..aa9b78de
--- /dev/null
+++ b/meta-agl/meta-agl-basesystem/recipes-core/agl-systemd/files/tool_9E_SI/set_capability.sh
@@ -0,0 +1,82 @@
+#!/bin/bash
+#
+# @copyright Copyright (c) 2019 TOYOTA MOTOR CORPORATION.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+
+ROMFILESTOP=/
+CAP_LST=${ROMFILESTOP}/usr/target/cap.lst
+echo `cat ${CAP_LST}`
+#-----------------------------------------------------------------------
+# Capability
+
+df / --exclude-type=nfs > /dev/null
+IS_EMMC_BOOT=$?
+
+#*********************from init_nfs_cap.sh**************************
+
+echo "init_nfs-cap.sh: Start"
+
+VERBOSE=y
+SKIPWARN=n
+#-----------------------------------------------------------------------
+# Set Capability for NFS or Set DummyLink for ROM
+#CAP_LST="/usr/debug/share/target/cap.lst"
+CAP_LST="/usr/target/cap.lst"
+
+if [ $IS_EMMC_BOOT -ne 0 ]; then
+if [ -f "${CAP_LST}" ];then
+ echo "*** set capability for NFS environment ***"
+ CAPPATH=/tmp/
+ cd /
+ for PREAD in `cat ${CAP_LST}`
+ do
+ IFS_ORG=${IFS} ; IFS='|' ; PARAM=(${PREAD}) ; IFS=${IFS_ORG}
+ CAP_NAME=${PARAM[0]} ; FMODE=${PARAM[1]} ; FUID_GID=${PARAM[2]}
+ FCAP=${PARAM[3]} ; FKEEPORGPATH=${PARAM[4]}
+ if [ ! -f "${CAP_NAME}" -a ! -f "${CAP_NAME}.org" ];then
+ if [ "${SKIPWARN}" = "n" ];then
+ echo "set capability: ${CAP_NAME}: No such file or directory" 1>&2
+ fi
+ continue
+ fi
+ TCAP_NAME="/tmp/${CAP_NAME##*/}"
+ # Set Capability for NFS
+ if [ ! -L "${CAP_NAME}" ]; then
+ cp -a ${CAP_NAME} ${TCAP_NAME}
+ if [ "${FKEEPORGPATH}" = "y" ];then
+ mv ${CAP_NAME} ${CAP_NAME}.org
+ ln -fs ${TCAP_NAME} ${CAP_NAME}
+ fi
+ else
+ cp -a ${CAP_NAME}.org ${TCAP_NAME}
+ fi
+ if [ -n "${FUID_GID}" ];then
+ chown ${FUID_GID} ${TCAP_NAME}
+ fi
+ if [ -n "${FMODE}" ];then
+ chmod ${FMODE} ${TCAP_NAME}
+ fi
+ if [ -n "${FCAP}" ];then
+ setcap ${FCAP} ${TCAP_NAME}
+ if [ "${VERBOSE}" = "y" ];then
+ getcap ${TCAP_NAME}
+ fi
+ fi
+ done
+ cd - > /dev/null
+else
+ unset CAPPATH
+fi
+fi
diff --git a/meta-agl/meta-agl-basesystem/recipes-core/agl-systemd/files/tool_9E_SI/set_cgroup_rt_runtime_us.sh b/meta-agl/meta-agl-basesystem/recipes-core/agl-systemd/files/tool_9E_SI/set_cgroup_rt_runtime_us.sh
new file mode 100644
index 00000000..41536f2c
--- /dev/null
+++ b/meta-agl/meta-agl-basesystem/recipes-core/agl-systemd/files/tool_9E_SI/set_cgroup_rt_runtime_us.sh
@@ -0,0 +1,33 @@
+#!/bin/bash
+#
+# @copyright Copyright (c) 2019 TOYOTA MOTOR CORPORATION.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+
+desired_rt_runtime_us=$1
+mygroup=${2:-$(awk -F: '$2 == "cpu,cpuacct" {print $3}' /proc/self/cgroup)}
+
+[[ $desired_rt_runtime_us -gt 0 ]] || exit
+[[ $mygroup ]] || exit
+[[ $mygroup = / ]] && exit
+
+echo "${0##*/}: setting cpu.rt_runtime_us for $mygroup" >&2
+
+cgpath=
+IFS=/ read -ra cgroups <<< "${mygroup:1}"
+for cg in "${cgroups[@]}"; do
+ cgpath="${cgpath}/${cg}"
+ echo "${0##*/}: $desired_rt_runtime_us -> /sys/fs/cgroup/cpu,cpuacct${cgpath}" >&2
+ echo "$desired_rt_runtime_us" > /sys/fs/cgroup/cpu,cpuacct${cgpath}/cpu.rt_runtime_us
+done
diff --git a/meta-agl/meta-agl-basesystem/recipes-core/agl-systemd/files/tool_9E_SI/setup_refhw.sh b/meta-agl/meta-agl-basesystem/recipes-core/agl-systemd/files/tool_9E_SI/setup_refhw.sh
new file mode 100644
index 00000000..1f9501cb
--- /dev/null
+++ b/meta-agl/meta-agl-basesystem/recipes-core/agl-systemd/files/tool_9E_SI/setup_refhw.sh
@@ -0,0 +1,83 @@
+#!/bin/bash
+#
+# @copyright Copyright (c) 2019 TOYOTA MOTOR CORPORATION.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+
+#to expand msg_max
+sysctl -w fs.mqueue.msg_max=512
+
+# device detection
+echo -n "TARGET_BOARD=" > /tmp/udev_device.env
+cat /proc/device-tree/model | cut -d " " -f 2 >> /tmp/udev_device.env
+echo >> /tmp/udev_device.env
+echo "UID=$INIT_UID" >> /tmp/udev_device.env
+echo "GID=$INIT_GID" >> /tmp/udev_device.env
+echo "BRAND=$VEHICLEPARAMETERLIBRARY_BRAND" >> /tmp/udev_device.env
+echo "AREA=$VEHICLEPARAMETERLIBRARY_AREA" >> /tmp/udev_device.env
+
+# Start: Workaround for release ###############################################
+## Sprint 29 To make WebService can update contents.
+#chown -R agl:agl /usr/agl/data/electronicom
+## For btservice initial data.
+#chown -R agl:agl /nv/backup/D_BK_CA_BT_MANAGEMENT
+## Sprint 29 PFDRECThread
+mkdir -p /ramd/log/frameworkunifiedlog/diag
+#chmod 777 /ramd/log/frameworkunifiedlog/diag
+touch /dev/mmcblk0p9
+chmod 660 /dev/mmcblk0p9
+## Sprint 29 communication
+#chmod -R 777 /home/root/.app_can_d
+# TODO:for bluetooth_service
+#chmod 777 /usr/agl/share
+
+if ! `df / --exclude-type=nfs > /dev/null`; then
+cp /sbin/insmod.kmod /tmp/insmod.kmod
+ln -s -f /tmp/insmod.kmod /sbin/insmod
+setcap cap_sys_module+ep /tmp/insmod.kmod
+fi
+
+## Sprint 32 Positioning
+#chmod 777 /dev/ttySC3
+#chmod -R 777 /home/root/.app_gps_cmd_d
+
+## Sprint 37 BUG17P-9 clock
+ln -f -s /tmp/bs/clock/localtime /etc/localtime
+
+# END: Workaround for release #################################################
+
+# permission setting
+# wait for weston is properly launched
+#until [ -e /run/user/0/wayland-0 ]
+#do
+# usleep 50000
+#done
+#chmod 777 /run/user/0/wayland-0
+
+mkdir /tmp/shm
+
+chmod 777 /tmp/shm
+chmod 666 /dev/mqueue/IccSnd
+#chmod 777 /dev/mqueue/*
+#chmod 777 /dev/mqueue/NS_NPPService
+#chmod 777 /run/user/0
+
+rm -rf /nv/romaccess
+rm /dev/shm/lockfile
+
+
+
+
+export PATH=`echo -n ${PATH} | sed 's|/tmp:||'`
+
diff --git a/meta-agl/meta-agl-basesystem/recipes-core/agl-systemd/files/usr/agl/conf/systemmanager/sm_launch.cfg b/meta-agl/meta-agl-basesystem/recipes-core/agl-systemd/files/usr/agl/conf/systemmanager/sm_launch.cfg
new file mode 100644
index 00000000..50a18c9a
--- /dev/null
+++ b/meta-agl/meta-agl-basesystem/recipes-core/agl-systemd/files/usr/agl/conf/systemmanager/sm_launch.cfg
@@ -0,0 +1,10 @@
+# This file is created from ./sm_launch.tmp.xml.
+[ModulesLaunchConfig]
+Launch1=CoreModules|1|0|False|NS_NPPService|/usr/agl/bin/NS_NPPService|0|True|0|-a SS_SysManager -r output=0x2|NULL|NULL|False|True|20|1000||||||0x0
+Launch2=CoreModules|1|0|False|NS_BackupMgr|/usr/agl/bin/NS_BackupMgr|0|True|0|-l console|NULL|NULL|True|True|15|1000||||||0x0
+Launch3=SS_Logger|2|0|False|SS_LoggerSrv|/usr/agl/bin/SS_LoggerService|0|True|0|-l console -p thrd=pdg.LogQueReader:30,thrd=pdg.TransmitQueReader:30,thrd=pdg.DumpQueReader:11,thrd=pdg.PerformanceQueReader:11,thrd=pdg.LogQueWriter:30,thrd=pdg.TransmitQueWriter:30,thrd=pdg.EvntLogQue:8,thrd=pdg.UdpQueWriter:10|NULL|NULL|True|True|10|1000||||||0x0
+Launch4=ShadowModules|3|0|False|Communication|/usr/agl/bin/communication|0|True|0|-l console|NULL|NULL|True|False|20|1000||||||0x0
+Launch5=VehicleModules|4|0|False|Positioning|/usr/agl/bin/Positioning|0|True|0|NULL|NULL|NULL|True|False|0|1000||||||0x0
+Launch6=SystemModules|5|0|False|SS_PowerService|/usr/agl/bin/SS_PowerService|0|True|0|-l console|NULL|NULL|True|False|0|1000||||||0x0
+Launch7=SystemModules|5|0|False|SS_TaskManager|/usr/agl/bin/tskmgr|0|True|0|-l console|NULL|NULL|True|True|0|1000||||||0x0
+Launch8=SystemModules|5|0|False|SS_ResourceMgr|/usr/agl/bin/resm|0|True|0|-l console|NULL|NULL|True|False|0|1000||||||0x0
diff --git a/meta-agl/meta-agl-basesystem/recipes-core/agl-systemd/files/usr/agl/conf/systemmanager/sm_launch__CWORD84_.xml b/meta-agl/meta-agl-basesystem/recipes-core/agl-systemd/files/usr/agl/conf/systemmanager/sm_launch__CWORD84_.xml
new file mode 100644
index 00000000..8dd14bb7
--- /dev/null
+++ b/meta-agl/meta-agl-basesystem/recipes-core/agl-systemd/files/usr/agl/conf/systemmanager/sm_launch__CWORD84_.xml
@@ -0,0 +1,116 @@
+<!-- group_id=1 -->
+<group name="CoreModules" wait_time="0" trigger="False" >
+ <launch
+ name=MN_NS_NPPSERVICE path="/usr/agl/bin/NS_NPPService" priority=PR_NS_NPPSERVICE_S
+ critical="True" retry_cnt="0" arguments="-a SS_SysManager -r output=0x2"
+ restart="NULL" is_start_required="False"
+ shutdown_critical="True" shutdown_wait_time="20" fast_shutdown_wait_time="1000"
+ user_name=""
+ />
+ <launch
+ name=MN_NS_BACKUPMGR path="/usr/agl/bin/NS_BackupMgr" priority=PR_NS_BACKUPMGR_S
+ critical="True" retry_cnt="0" arguments="-l console"
+ restart="NULL" is_start_required="True"
+ shutdown_critical="True" shutdown_wait_time="15" fast_shutdown_wait_time="1000"
+ user_name=""
+ />
+</group>
+<!-- group_id=2 -->
+<group name="SS_Logger" wait_time="0" trigger="False" >
+ <launch
+ name=MN_SS_LOGGERSRV path="/usr/agl/bin/SS_LoggerService" priority=PR_SS_LOGGERSRV_S
+ critical="True" retry_cnt="0" arguments="-l console -p thrd=pdg.LogQueReader:30,thrd=pdg.TransmitQueReader:30,thrd=pdg.DumpQueReader:11,thrd=pdg.PerformanceQueReader:11,thrd=pdg.LogQueWriter:30,thrd=pdg.TransmitQueWriter:30,thrd=pdg.EvntLogQue:8,thrd=pdg.UdpQueWriter:10"
+ restart="NULL" is_start_required="True"
+ shutdown_critical="True" shutdown_wait_time="10" fast_shutdown_wait_time="1000"
+ user_name=""
+ />
+</group>
+<!-- group_id=3 -->
+<group name="ShadowModules" wait_time="0" trigger="False" >
+ <!--
+ In order to excute the termination process promptly, the shutdown_wait_time of GROUP4~ sha be a;; set tp 0,
+ and FrameworkunifiedOnStop shall be issued to the servies of GROUP~ at almost the same time upon termination.
+ Setting shutdown_wait_time in the COMMUNICATION of GROUP3 makes GROUP3 wait for GROUP4~ to terminate service (wait for FrameworkunifiedOnStop responses) all at once.
+ The reason for batch wait by GROUP3 is to save the LOG of tge ternubatuib processing at the time of ACC-OFF of services
+ because the LOG save processing is performed by the GROUP2 termination processing of SS_LoggerService.
+ -->
+ <launch
+ name=MN_COMMUNICATION path="/usr/agl/bin/communication" priority=PR_COMMUNICATION_S
+ critical="True" retry_cnt="0" arguments="-l console"
+ restart="NULL" is_start_required="True"
+ shutdown_critical="False" shutdown_wait_time="20" fast_shutdown_wait_time="1000"
+ user_name=""
+ />
+</group>
+
+<!-- group_id=4 -->
+<group name="VehicleModules" wait_time="0" trigger="False" >
+ <launch
+ name=MN_POSITIONING path="/usr/agl/bin/Positioning" priority=PR_POSITIONING_S
+ critical="True" retry_cnt="0" arguments="NULL"
+ restart="NULL" is_start_required="True"
+ shutdown_critical="False" shutdown_wait_time="0" fast_shutdown_wait_time="1000"
+ user_name=""
+ />
+</group>
+
+<!-- group_id=5 -->
+<group name="SystemModules" wait_time="0" trigger="False" >
+ <launch
+ name=MN_SS_POWERSERVICE path="/usr/agl/bin/SS_PowerService" priority=PR_SS_POWERSERVICE_S
+ critical="True" retry_cnt="0" arguments="-l console"
+ restart="NULL" is_start_required="True"
+ shutdown_critical="False" shutdown_wait_time="0" fast_shutdown_wait_time="1000"
+ user_name=""
+ />
+ <launch
+ name=MN_SS_TASKMANAGER path="/usr/agl/bin/tskmgr" priority=PR_SS_TASKMANAGER_S
+ critical="True" retry_cnt="0" arguments="-l console"
+ restart="NULL" is_start_required="True"
+ shutdown_critical="True" shutdown_wait_time="0" fast_shutdown_wait_time="1000"
+ user_name=""
+ />
+ <launch
+ name=MN_SS_RESOURCEMGR path="/usr/agl/bin/resm" priority=PR_SS_RESOURCEMGR_S
+ critical="True" retry_cnt="0" arguments="-l console"
+ restart="NULL" is_start_required="True"
+ shutdown_critical="False" shutdown_wait_time="0" fast_shutdown_wait_time="1000"
+ user_name=""
+ />
+</group>
+<!-- group_id=6 -->
+<!-- group_id=7 -->
+<!-- group_id=8 -->
+<!-- group_id=9 -->
+<!-- group_id=10 -->
+<!-- group_id=11 -->
+<!-- group_id=12 -->
+<!-- group_id=13 -->
+<!-- group_id=14 -->
+<!-- group_id=15 -->
+<!-- group_id=16 -->
+<!-- group_id=17 -->
+<!-- group_id=18 -->
+<!-- group_id=19 -->
+<!-- group_id=20 -->
+<!-- group_id=21 -->
+<!-- group_id=22 -->
+<!-- group_id=23 -->
+<!-- group_id=24 -->
+<!-- group_id=25 -->
+<!-- group_id=26 -->
+<!-- group_id=28 -->
+<!-- group_id=29 -->
+<!-- group_id=30 -->
+<!-- group_id=31 -->
+<!-- group_id=32 -->
+<!-- group_id=33 -->
+<!-- group_id=34 -->
+<!-- group_id=35 -->
+<!-- group_id=36 -->
+<!-- group_id=37 -->
+<!-- group_id=38 -->
+<!-- group_id=39 -->
+<!-- group_id=40 -->
+<!-- group_id=41 -->
+<!-- group_id=42 -->
diff --git a/meta-agl/meta-agl-basesystem/recipes-core/agl-systemd/files/usr/target/agl_cap.lst b/meta-agl/meta-agl-basesystem/recipes-core/agl-systemd/files/usr/target/agl_cap.lst
new file mode 100644
index 00000000..89ea0961
--- /dev/null
+++ b/meta-agl/meta-agl-basesystem/recipes-core/agl-systemd/files/usr/target/agl_cap.lst
@@ -0,0 +1,34 @@
+/usr/agl/bin/SS_SystemManager|||cap_sys_nice,cap_setuid,cap_setgid,cap_sys_resource+ep|y
+/usr/agl/bin/tskmgr|||cap_sys_nice,cap_setuid,cap_setgid=ep|y
+/usr/agl/bin/SS_DeviceDetectionService|||cap_setuid,cap_setgid,cap_sys_resource,cap_dac_override,cap_sys_admin+ep|y
+/usr/agl/bin/communication|||cap_dac_override+ep|y
+/usr/agl/bin/AS_AudioManager|||cap_sys_nice+ep|y
+/usr/agl/bin/acmsrv|||cap_dac_override,cap_sys_admin,cap_sys_nice,cap_sys_resource,cap_chown,cap_fowner,cap_setgid,cap_setuid,cap_kill+ep|y
+/usr/agl/bin/PS_SwitchHandler|||cap_sys_admin,cap_dac_override+ep|y
+/usr/agl/bin/LockManager|||cap_kill+ep|y
+/usr/agl/bin/nandupdate|||cap_dac_override+ep|y
+/usr/agl/bin/wlan_controller|||cap_net_raw,cap_net_admin+ep|y
+/usr/agl/bin/DummyRead|||cap_dac_read_search+ep|y
+/usr/agl/bin/clock|||cap_sys_time+ep|y
+/usr/agl/bin/Mounter|||cap_sys_admin,cap_dac_override+ep|y
+/usr/agl/bin/MounterEx|||cap_sys_admin,cap_fowner,cap_dac_override,cap_chown+ep|y
+/usr/agl/bin/DevReproService|||cap_chown,cap_fowner,cap_dac_override+ep|y
+/usr/agl/bin/PS_CDR|||cap_sys_admin+ep|y
+/usr/agl/bin/webdavmgr|||cap_net_admin,cap_net_raw+ep|y
+/usr/agl/bin/DiagService|||cap_sys_rawio,cap_dac_override+ep|y
+/usr/agl/bin/resm|||cap_setuid+ep|y
+/usr/agl/bin/SS_LoggerService|||cap_dac_override+ep|y
+/usr/agl/bin/NetworkManager|||cap_setuid,cap_setgid,cap_sys_admin,cap_chown,cap_kill,cap_net_raw,cap_net_admin,cap_net_bind_service+ep|y
+/usr/agl/bin/RadioService|||cap_sys_nice+ep|y
+/usr/agl/bin/ASND_VProxy|||cap_sys_nice+ep|y
+/usr/agl/bin/misink|||cap_sys_nice+ep|y
+/usr/agl/bin/mlink|||cap_sys_nice+ep|y
+/usr/agl/bin/media_service|||cap_dac_override,cap_sys_nice+ep|y
+/usr/agl/bin/_CWORD74__service|||cap_dac_override+ep|y
+/usr/agl/bin/PlaybackService|||cap_sys_nice+ep|y
+/usr/agl/bin/Positioning|||cap_dac_override+ep|y
+/usr/agl/bin/vehicle|||cap_dac_override+ep|y
+/usr/agl/bin/bluetooth_srv|||cap_dac_override,cap_sys_nice+ep|y
+/usr/agl/bin/btd_srv|||cap_dac_override,cap_sys_nice+ep|y
+/usr/agl/bin/NS_BackupMgr|||cap_dac_override+ep|y
+/usr/agl/bin/Sound|||cap_dac_override+ep|y
diff --git a/meta-agl/meta-agl-basesystem/recipes-core/agl-systemd/files/usr/target/cap.lst b/meta-agl/meta-agl-basesystem/recipes-core/agl-systemd/files/usr/target/cap.lst
new file mode 100644
index 00000000..c27de10c
--- /dev/null
+++ b/meta-agl/meta-agl-basesystem/recipes-core/agl-systemd/files/usr/target/cap.lst
@@ -0,0 +1,24 @@
+/bin/udevadm|||cap_dac_override+ep|y
+/sbin/ifconfig|||cap_net_admin+ep|y
+/usr/libexec/firmware|||cap_sys_rawio,cap_dac_override+ep|y
+/usr/bin/fusedav|||cap_sys_admin+ep|y
+/sbin/dhclient|||cap_net_bind_service,cap_net_admin,cap_net_raw,cap_chown,cap_kill,cap_sys_admin+ep|y
+/sbin/dhcpd|||cap_net_bind_service,cap_net_admin,cap_net_raw,cap_chown,cap_kill,cap_sys_admin+ep|y
+/usr/debug/bin/busybox|||cap_sys_module,cap_net_raw+ep|y
+/sbin/insmod|||cap_sys_module+ep|y
+/sbin/rmmod|||cap_sys_module+ep|y
+/usr/sbin/xtables-multi|||cap_net_raw,cap_net_admin+ep|y
+/usr/bin/fusermount|||cap_sys_admin+ep|y
+/usr/bin/simple-mtpfs|||cap_sys_admin+ep|y
+/sbin/slattach|||cap_net_admin+ep|y
+/sbin/mkfs.ext4|||cap_dac_override+ep|y
+/sbin/losetup|||cap_dac_override+ep|y
+/usr/bin/aplay|||cap_sys_nice+ep|y
+/usr/bin/modetest|||cap_sys_admin+ep|y
+/sbin/fsck.ext4|||cap_dac_override+ep|y
+/usr/sbin/tune2fs|||cap_dac_override+ep|y
+/usr/bin/syslogd|||cap_dac_override+ep|y
+/usr/bin/dnsmasq|||cap_net_bind_service,cap_net_admin,cap_net_raw,cap_chown,cap_kill,cap_setgid,cap_setuid,cap_sys_admin+ep|y
+/usr/sbin/pppd|||cap_setuid,cap_sys_admin,cap_chown,cap_fowner,cap_kill,cap_net_admin,cap_dac_override+ep|y
+/sbin/ip|||cap_net_bind_service,cap_net_admin,cap_net_raw+ep|y
+/usr/bin/arping|||cap_net_bind_service,cap_net_admin,cap_net_raw,cap_setuid+ep|y